"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
const cached_file_system_1 = require("../services/cached-file-system");
const configuration_manager_1 = require("../services/configuration-manager");
const formatter_loader_1 = require("../services/formatter-loader");
const rule_loader_1 = require("../services/rule-loader");
const linter_1 = require("../linter");
const runner_1 = require("../runner");
const processor_loader_1 = require("../services/processor-loader");
const ymir_1 = require("@fimbul/ymir");
function createCoreModule(globalOptions) {
    return new inversify_1.ContainerModule((bind) => {
        bind(cached_file_system_1.CachedFileSystem).toSelf();
        bind(configuration_manager_1.ConfigurationManager).toSelf();
        bind(formatter_loader_1.FormatterLoader).toSelf();
        bind(rule_loader_1.RuleLoader).toSelf();
        bind(processor_loader_1.ProcessorLoader).toSelf();
        bind(linter_1.Linter).toSelf();
        bind(runner_1.Runner).toSelf();
        bind(ymir_1.GlobalOptions).toConstantValue(globalOptions);
    });
}
exports.createCoreModule = createCoreModule;
//# sourceMappingURL=core.module.js.map